Subject: Re: bug#76323: 30.0.93; auth-source-pass: Annoying error when ~/.password-store doesn't exist

From: Naofumi Yasufuku <[email-masked]>
Date: Tue, 18 Feb 2025 07:35:40 +0900

Hi Basil and everyone,

"Basil L. Contovounesios" <[email-masked]> writes:

>> I think it would be better to have just one additional dir check on
>> auth-source-pass-search instead of auth-source-pass-entries.
>> auth-source-pass backend just does nothing if password-store dir is not
>> available.  Could it be relatively reasonable cost?
>
> Sounds even better to me.
>
> [ I can imagine external users of auth-source-pass-entries also
>   benefitting from the filesystem guard, but I think we can leave it up
>   to them to decide if/when/how they need it. ]
>

I think so too.  Introduced tiny patch is just about removing small
frustrations of, e.g. auth-sources setup via custom, but still.

> CCing some of the recent auth-source-pass (and ERC) contributors in case
> they have any comments on the patch below.
>
> [ The original attachment and the rest of the discussion can be found
>   here: https://bugs.gnu.org/76323#11 ]
>
> If there are no objections, I think this can be applied soon.
>

Thanks.  

> Yasufuku-san, do you have a copyright assignment to the FSF?

No, I haven’t signed it yet.

> I think this contribution is still well within the limits for being
> exempt, but for future contributions perhaps you would be interested in
> starting the process now, if you haven't already?
>

I'm interested in that.  I'd like to proceed with the copyright assignment process.
Could you send the copyright assignment forms to me?

Best Regards,
  Naofumi